<x-wireui:modal-card title="{{ $artistId ? '編輯歌手' : '新增歌手' }}" blur wire:model.defer="showCreateModal">
    <div class="space-y-4">
        <x-wireui:select
            label="類別"
            wire:model.defer="fields.category"
            placeholder="選擇類別"
            :options="$categoryOptions"
            option-label="name"
            option-value="value"
        />
        <x-wireui:input label="名稱" wire:model.defer="fields.name" />
    </div>

    <x-slot name="footer">
        <div class="flex justify-between w-full">
            <x-wireui:button flat label="{{__('atrists.cancel')}}" @click="$wire.showCreateModal = false" />
            <x-wireui:button primary type="submit" label="儲存" />
        </div>
    </x-slot>
</x-wireui:modal-card>
    